Bigass Dec 4, 2013 @ 2:17pm
Warning: latest primus update from ppa + steam = crashing X
If your updater offers you to install "20131127-1~preciseppa1" be sure to have backup-debs of your previous primus and primus-libs packages. On my system, I could no longer start steam without immediately crashing X after the update. After reverting to the previous release of primus, everything was back to normal.
Showing 1-2 of 2 comments
< >
Sin Dec 4, 2013 @ 5:53pm 
I have not encountered this issue since I'm running Ubuntu 13.10 but I'll bear that in mind thanks. I'm actually using primus through the Ubuntu repositories, rather than the PPA itself. Bear in mind that you can 'freeze' packages by removing the PPA itself which will prevent the packages from being upgraded/updated.
monoid Dec 5, 2013 @ 9:22am 
Please report issues to https://github.com/Bumblebee-Project and https://github.com/amonakov/primus. Developers cannot monitor forums for new issues.

This particular issue seems specific to older Ubuntu branches. A PPA update with a workaround is on its way.

Packages in main Ubuntu repositories do not get updates from upstream (except for critical fixes), so you might be missing latest fixes (Metro:LL, OpenMW, flickering with MSAA) and performance improvements (but you'd also need mesa-10.1 or at least 10.0, not 9.2). On the other hand, probability of new bugs appearing is not 0.
Showing 1-2 of 2 comments
< >
Per page: 15 30 50